import { get, uget, post, postFile, parmasPost, put } from '@/http/index'

// 查询备份记录
export const backupList = async (data) => {
  return await post('/system/sysBackupData/list', data)
}

// 删除备份记录
export const backupRemove = async (data) => {
  return await post('/system/sysBackupData/remove', data)
}

// 备份
export const backupAdd = async (data) => {
  return await post('/system/sysBackupData/backup', data)
}

// 恢复
export const recover = async (data) => {
  return await post('/system/sysBackupData/recover', data)
}

//获取备份设置
export const backUpSet = async (query) => {
  return await post('/system/sysBackupSetup/getInfo', query)
}

//获取备份设置
export const exportBackupData = async (query) => {
  return await postFile('/system/sysBackupData/exportBackupData', query)
}

// 更新备份设置信息
export const updateBackUpSet = async (data) => {
  return await post('/system/sysBackupSetup/updateInfo', data)
}

export const systemInit = async (data) => {
  return await post('/system/sysBackupData/systemInit', data)
}
